DROP DATABASE IF EXISTS fino; 
CREATE DATABASE IF NOT EXISTS fino; 

CREATE TABLE fino.usuario(
	id INT(3) NOT NULL AUTO_INCREMENT,
	nome VARCHAR(30) NOT NULL,
	email VARCHAR(60) NOT NULL,
	sexo VARCHAR(15) NOT NULL,
	PRIMARY KEY(id)
	);

CREATE TABLE fino.senha(
	id INT(3) NOT NULL AUTO_INCREMENT,
	senhaAtual VARCHAR(160) NOT NULL,
	senhaPassada VARCHAR(160) NULL,
	userSenha INT(3) NOT NULL,
	PRIMARY KEY(id),
	FOREIGN KEY(userSenha) REFERENCES usuario(id)
 	);

CREATE TABLE fino.plano(
	id INT(3) NOT NULL AUTO_INCREMENT,
	capital FLOAT(6,2) NOT NULL,
	contas FLOAT(6,2) NOT NULL,
	poupanca FLOAT(6,2) NOT NULL,
	investimento FLOAT(6,2) NOT NULL,
	emepro FLOAT(6,2) NOT NULL,
	futilidades FLOAT(6,2) NOT NULL,
	data VARCHAR(15) NOT NULL,
	userPlano INT(3) NOT NULL,
	PRIMARY KEY(id),
	FOREIGN KEY(userPlano) REFERENCES usuario(id)
	);

